Clone Email¶
POST /rest/asset/v1/email/{id}/clone.json
Method: POST
Path: /rest/asset/v1/email/{id}/clone.json
Tag: Emails
Operation ID: cloneEmailUsingPOST
Clones the target email. Required Permissions: Read-Write Assets
Formats¶
- Request:
application/x-www-form-urlencoded - Response:
application/json
Request¶
Path parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
id |
integer (int32) | Yes | id |
Request body¶
Name: cloneEmailRequest
Required: Yes
Schema: model: CloneEmailRequest
cloneEmailRequest
Generated example¶
{
"description": "string",
"folder": {
"id": 123,
"type": "Folder"
},
"name": "Example name",
"operational": true
}
Referenced models¶
Example request¶
POST {{base_url}}/rest/asset/v1/email/{{id}}/clone.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json
{
"description": "string",
"folder": {
"id": 123,
"type": "Folder"
},
"name": "Example name",
"operational": true
}
Responses¶
200 — OK¶
Schema: model: ResponseOfEmailResponse
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"createdAt": "2026-01-15T10:30:00Z",
"description": "string",
"folder": {
"id": 123,
"type": "Folder"
},
"fromEmail": {
"type": "string",
"value": "string"
},
"fromName": {
"type": "string",
"value": "string"
},
"id": 123,
"name": "Example name",
"operational": true,
"publishToMSI": true,
"replyEmail": {
"type": "string",
"value": "string"
},
"status": "string",
"subject": {
"type": "string",
"value": "string"
},
"template": 123,
"textOnly": true,
"updatedAt": "2026-01-15T10:30:00Z",
"url": "https://example.com",
"version": 1,
"webView": true,
"workspace": "string",
"autoCopyToText": true,
"preHeader": "string",
"ccFields": [
{
"attributeId": "123",
"objectName": "Example name",
"displayName": "Example name",
"apiName": "Example name"
}
]
}
],
"success": true,
"warnings": [
"string"
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.